File: changelog

package info (click to toggle)
libnitrokey 3.5-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 824 kB
  • sloc: cpp: 5,997; python: 1,649; ansic: 224; makefile: 3; sh: 2
file content (108 lines) | stat: -rw-r--r-- 3,694 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
libnitrokey (3.5-2) unstable; urgency=medium

  * Upload to unstable
  * Update symbols files from experimental build logs (Closes: #958313)
  * Switch to debhelper-compat and update to compat 12
  * Update standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 May 2020 15:43:59 -0400

libnitrokey (3.5-1) experimental; urgency=medium

  * New upstream release
  * Update debiacn/copyright
  * Update symbols file

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 Sep 2019 09:56:40 -0400

libnitrokey (3.4.1-4) unstable; urgency=medium

  * Update debian/copyright
  * Add lintian override for appstream-metadata-missing-modalias-provide
    because the correction is best done in nitrokey-app
  * Add Build-Depends-Package to libnitrokey3.symbols
  * Enable hardening flags

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Dec 2018 12:05:16 -0500

libnitrokey (3.4.1-3) unstable; urgency=medium

  * Update symbols file from build logs

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Dec 2018 23:46:42 -0500

libnitrokey (3.4.1-2) unstable; urgency=medium

  * Upload to unstable
  * Update symbols from build logs

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Dec 2018 07:20:50 -0500

libnitrokey (3.4.1-1) experimental; urgency=medium

  * New upstream release
    - Refresh patch
    - Update symbols file from build log (Closes: #915462)
  * Bump standards-version to 4.2.1 without further change
  * Fix Multi-Arch specification for libnitrokey-common

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Dec 2018 01:34:51 -0500

libnitrokey (3.3-2) unstable; urgency=medium

  [ Jan Luca Naumann ]
  * Fix installation path of udev rule.
    - install to /lib/udev/rules.d 

  [ Scott Kitterman ]
  * Upload to unstable
  * Add misc:Depends for libnitrokey-common
  * Add Multi-Arch: allowed for libnitrokey-common
  * Update libnitrokey3.symbols from build logs

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 May 2018 00:44:38 -0400

libnitrokey (3.3-1) experimental; urgency=medium

  * Add git repository for packaging:
    - Vcs-* in debian/control
  * New upstream release
    - Update debian/copyright
    - Update symbols file
  * Account for nitrokey udev rule being built from libnitrokey instead of
    nitrokey-app
    - Add udev to build-depends
    - Add new binary, libnitrokey-common for udev rule since it is arch
      independent and so can't be in a multi-arched library binary
    - libnitrokey-common replaces nitrokey-app << 1.3~
  * Bump standards-version to 4.1.4 without further change
  * Update symbols file to work with -03 optimizations (Closes: #893831)
  * Fix insecure-copyright-format-uri

 -- Scott Kitterman <scott@kitterman.com>  Mon, 30 Apr 2018 00:05:05 -0400

libnitrokey (3.2-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/add_pkg_config.patch, included upstream
  * Add pkg-config to build-depends

 -- Scott Kitterman <scott@kitterman.com>  Tue, 16 Jan 2018 21:27:11 -0500

libnitrokey (3.1-2) unstable; urgency=medium

  * Correct license statement in debian/copyright
  * Update symbols files from build logs (Closes: #885242)
  * Add libhidapi-dev to libnitrokey-dev depends so pkg-config library
    detection works
  * Bump standards-version to 4.1.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 28 Dec 2017 11:00:03 -0500

libnitrokey (3.1-1) unstable; urgency=medium

  * Initial release (Closes: #885030)
  * Add debian/patches/add_pkg_config.patch from upstream so pkg-config can
    find the library (already used by some rdepends)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Dec 2017 20:01:45 -0500